import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../pages/main/index.vue'
import Login from '../pages/login/login.vue'
Vue.use(VueRouter)
const routes = [{
    path: '/',
    name: 'index',
    component: Index,
    redirect: '/leader',
    children: [
        {
            meta: { name:  '科室经理管理', keepAlive: false },
            path: '/department',
            name: 'department',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/other/department.vue'], resolve)
        },
        {
            meta: { name:  '广告管理', keepAlive: false },
            path: '/advcheck',
            name: 'advcheck',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advcheck.vue'], resolve)
        },
        {
            meta: { name:  '插件管理', keepAlive: false },
            path: '/plugInunit',
            name: 'plugInunit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/funcInit/plugInunit.vue'], resolve)
        },
        {
            meta: { name:  '工号管理', keepAlive: false },
            path: '/loginInit',
            name: 'loginInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userId/loginInit.vue'], resolve)
        },
        {
            meta: { name:  '领导首页', keepAlive: false },
            path: '/leader',
            name: 'leader',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/index.vue'], resolve)
        },
        {
            meta: { name:  '品质部首页', keepAlive: false },
            path: '/marketHome',
            name: 'marketHome',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/home.vue'], resolve)
        },
        {
            meta: { name:  '市场部首页', keepAlive: false },
            path: '/quality',
            name: 'quality',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/quality.vue'], resolve)
        },
        {
            meta: { name:  '部门预算', keepAlive: false },
            path: '/budget',
            name: 'budget',
            redirect: 'budgetList',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/budgetIndex.vue'], resolve),
            children: [
                {
                    meta: { name:  '部门预算模板管理', keepAlive: false },
                    path: '/budgetList',
                    name: 'budget',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/budgetList.vue'], resolve)
                }, {
                    meta: { name:  '年度预算', keepAlive: false },
                    path: '/yearExcel',
                    name: 'yearExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/yearExcel.vue'], resolve)
                },
                {
                    meta: { name:  '月度预算', keepAlive: false },
                    path: '/monthExcel',
                    name: 'monthExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/monthExcel.vue'], resolve)
                },
                {
                    meta: { name:  '预算回复管理', keepAlive: false },
                    path: '/recallAdmin',
                    name: 'recallAdmin',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/recall.vue'], resolve)
                }, {
                    meta: { name:  '季度预算', keepAlive: false },
                    path: '/quarterExcel',
                    name: 'quarterExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/quarterExcel.vue'], resolve)
                }, {
                    meta: { name:  '部门预算采购项目管理', keepAlive: false },
                    path: '/projectExcel',
                    name: 'projectExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/projectExcel.vue'], resolve)
                },
            ]
        },
        {
            meta: { name:  '绩效管理', keepAlive: false },
            path: '/kpi',
            name: 'kpi',
            redirect: 'kpiMuban',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/achievements/achievementsIndex.vue'], resolve),
            children: [
                {
                    meta: { name:  '绩效模板', keepAlive: false },
                    path: '/kpiMuban',
                    name: 'kpiMuban',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/achievementsMuban.vue'], resolve)
                }, {
                    meta: { name:  '绩效回复管理', keepAlive: false },
                    path: '/kpiRecall',
                    name: 'kpiRecall',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recall.vue'], resolve)
                }, {
                    meta: { name:  '新增模板', keepAlive: false },
                    path: '/initKpi',
                    name: 'initKpi',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/initMuban.vue'], resolve)
                }, {
                    meta: { name:  '查看模板', keepAlive: false },
                    path: '/seekpi',
                    name: 'seekpi',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/seeMuban.vue'], resolve)
                }, {
                    meta: { name:  '科室绩效', keepAlive: false },
                    path: '/recallkpi',
                    name: 'recallkpi',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallMuban.vue'], resolve)
                }, {
                    meta: { name:  '部门绩效', keepAlive: false },
                    path: '/recallBm',
                    name: 'recallBm',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallBumen.vue'], resolve)
                }, {
                    meta: { name:  '副总GS', keepAlive: false },
                    path: '/recallGs',
                    name: 'recallGs',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallGS.vue'], resolve)
                },
            ]
        },
        {
            meta: { name:  '竞争对手', keepAlive: false },
            path: '/compet',
            name: 'compet',
            redirect: 'competitor',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/competitor/home.vue'], resolve),
            children: [
                {
                    meta: { name:  '竞争对手', keepAlive: false },
                    path: '/competitor',
                    name: 'competitor',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/competitor/index'], resolve)
                },
                {
                    meta: { name:  '竞争对手信息收集统计', keepAlive: false },
                    path: '/competeInfo',
                    name: 'competeInfo',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/competitor/competeInfo'], resolve)
                },
                {
                    meta: { name:  '新增竞争对手', keepAlive: false },
                    path: '/addCompetitor',
                    name: 'addCompetitor',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/addCompetitor.vue'], resolve)
                },
                {
                    meta: { name:  '修改竞争对手', keepAlive: false },
                    path: '/changeCompet',
                    name: 'changeCompet',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/changeCompet.vue'], resolve)
                },
                {
                    meta: { name:  '修改竞争对手审核详情', keepAlive: false },
                    path: '/competitorInfo',
                    name: 'competitorInfo',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/competitorInfo.vue'], resolve)
                },
                {
                    meta: { name:  '修改竞争对手统计', keepAlive: false },
                    path: '/compete',
                    name: 'compete',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/compete.vue'], resolve)
                },
                {
                    meta: { name:  '修改竞争对手审核列表', keepAlive: false },
                    path: '/competExa',
                    name: 'competExa',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/competExa.vue'], resolve)
                }
            ]
        },
        {
            meta: { name:  '测试终端管理', keepAlive: false },
            path: '/terminalhome',
            name: 'terminalhome',
            redirect: 'terminal',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/terminal/terminalhome.vue'], resolve),
            children: [
                {
                    meta: { name:  '终端号管理', keepAlive: false },
                    path: '/terminalModel',
                    name: 'terminalModel',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalModel'], resolve)
                },
                {
                    meta: { name:  '测试终端管理', keepAlive: false },
                    path: '/terminal',
                    name: 'terminal',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminal'], resolve)
                },
                {
                    meta: { name:  '测试终端申请', keepAlive: false },
                    path: '/terminalApply',
                    name: 'terminalApply',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalApply'], resolve)
                },
                {
                    meta: { name:  '测试终端台账管理', keepAlive: false },
                    path: '/terminalStandbook',
                    name: 'terminalStandbook',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalStandbook'], resolve)
                },
            ]
        },
        {
            meta: { name:  '测试终端审批', keepAlive: false },
            path: '/terminApproval',
            name: 'terminApproval',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminApproval'], resolve)
        },
        {
            meta: { name:  '测试终端已办', keepAlive: false },
            path: '/terminalOver',
            name: 'terminalOver',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalOver'], resolve)
        },
        // {
        //     meta: { name:  '部门预算模板管理',
        //     path: '/budgetList',
        //     name: 'budgetList',
        //     component: (resolve) => require( /* webpackChunkName: "system" */
        //         ['../pages/main/budget/budgetList.vue')
        // },
        // {
        //     meta: { name:  '部门预算管理',
        //     path: '/initBudget',
        //     name: 'initBudget',
        //     component: (resolve) => require( /* webpackChunkName: "system" */
        //         ['../pages/main/budget/initBudget.vue')
        // },

        {
            meta: { name:  '新增excel', keepAlive: false },
            path: '/initExceladd',
            name: 'initExceladd',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/initExcel.vue'], resolve)
        },
        {
            meta: { name:  '修改excel', keepAlive: false },
            path: '/initExcelupdate',
            name: 'initExcelupdate',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/initExcel.vue'], resolve)
        },
        {
            meta: { name:  '查看excel', keepAlive: false },
            path: '/initExcelsee',
            name: 'initExcelsee',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/initExcel.vue'], resolve)
        },
        {
            meta: { name:  '回复excel', keepAlive: false },
            path: '/initExcelrecall',
            name: 'initExcelrecall',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/recallExcel.vue'], resolve)
        },
        {
            meta: { name:  '测试流程', keepAlive: false },
            path: '/flow',
            name: 'flow',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/flow/flowInit.vue'], resolve)
        },
        {
            meta: { name:  '菜单管理', keepAlive: false },
            path: '/funcInit',
            name: 'funcInit',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/funcInit/menuList.vue'], resolve)
        },
        {
            meta: { name:  '线条管理', keepAlive: false },
            path: '/manageLnit',
            name: 'manageLnit',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/funcInit/manageLnit.vue'], resolve)
        },
        {
            meta: { name:  '角色管理', keepAlive: false },
            path: '/sysRoleInfoInit',
            name: 'sysRoleInfoInit',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/sysRoleInfo/roleList.vue'], resolve)
        },
        {
            meta: { name:  '流程管理', keepAlive: false },
            path: '/flowInit',
            name: 'flowInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/flow/flow.vue'], resolve)
        },
        {
            meta: { name:  '表单配置', keepAlive: false },
            path: '/formInit',
            name: 'formInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/form/fromIndex.vue'], resolve)
        }, {
            meta: { name:  '绘制流程', keepAlive: false },
            path: '/flowDesign',
            name: 'flowDesign',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/flow/flowDesign.vue'], resolve)
        },
        {
            meta: { name:  '在线excel', keepAlive: false },
            path: '/excel',
            name: 'excel',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/excel/index.vue'], resolve)
        },
        {
            meta: { name:  '知识库', keepAlive: false },
            path: '/knowledge',
            name: 'knowledge',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/index'], resolve)
        }, {
            meta: { name:  '新增知识库', keepAlive: false },
            path: '/addknowledge',
            name: 'addknowledge',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/addKnowledge'], resolve)
        }, {
            meta: { name:  '知识库目录', keepAlive: false },
            path: '/knowledgeCatalog',
            name: 'knowledgeCatalog',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/catalog'], resolve)
        },
        {
            meta: { name:  '知识库审核', keepAlive: false },
            path: '/knowledgeExamine',
            name: 'knowledgeExamine',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/knowledgeExamine'], resolve)
        },
        {
            meta: { name:  '知识库类型', keepAlive: false },
            path: '/knowledgeType',
            name: 'knowledgeType',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/knowledgeType'], resolve)
        },
        {
            meta: { name:  '公告', keepAlive: false },
            path: '/noticec',
            name: 'noticec',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/noticec/index'], resolve)
        },
        {
            meta: { name:  '浏览日志', keepAlive: false },
            path: '/journal',
            name: 'journal',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/noticec/journal'], resolve)
        },
        {
            meta: { name:  '公告审核', keepAlive: false },
            path: '/noticExamine',
            name: '/noticExamine',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/noticec/noticExamine'], resolve)
        },
        {
            meta: { name:  '语音识别', keepAlive: false },
            path: '/voicediscern',
            name: 'voicediscern',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/voicediscern/index'], resolve)
        },
        {
            meta: { name:  '广告管理', keepAlive: false },
            path: '/advertisement',
            name: 'advertisement',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advertisement'], resolve)
        },
        {
            meta: { name:  '广告申请', keepAlive: false },
            path: '/advertincrease',
            name: 'advertincrease',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advertincrease'], resolve)
        },
        {
            meta: { name:  '素材库', keepAlive: false },
            path: '/advertmaterial',
            name: 'advertmaterial',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advertmaterial'], resolve)
        },
        {
            meta: { name:  '信息上报管理', keepAlive: false },
            path: '/noticeIssued',
            name: 'noticeIssued',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticeIssued'], resolve)
        },
        {
            meta: { name:  "信息分类管理", keepAlive: false },
            path: '/noticeQuery',
            name: 'noticeQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticeQuery'], resolve)
        },
        {
            meta: { name:  "定制上报管理", keepAlive: false },
            path: '/noticeReply',
            name: 'noticeReply',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticeReply'], resolve)
        },
        {
            meta: { name:  "信息上报审核", keepAlive: false },
            path: '/noticupExamine',
            name: 'noticupExamine',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticupExamine'], resolve)
        },
        {
            meta: { name:  "工单管理", keepAlive: false },
            path: '/workOrderManage',
            name: 'workOrderManage',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/index'], resolve)
        },
        {
            meta: { name:  "工单审核", keepAlive: false },
            path: '/workOrderTask',
            name: 'workOrderTask',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderTask'], resolve)
        },
        {
            meta: { name:  "工单回复", keepAlive: false },
            path: '/workOrderReply',
            name: 'workOrderReply',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderReply'], resolve)
        },
        {
            meta: { name:  "工单管理回复统计", keepAlive: false },
            path: '/workOrderReplyStatistics',
            name: 'workOrderReplyStatistics',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderReplyStatistics'], resolve)
        },
        {
            meta: { name:  "工单管理回复明细", keepAlive: false },
            path: '/workOrderReplyDetails',
            name: 'workOrderReplyDetails',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderReplyDetails'], resolve)
        },
        {
            meta: { name:  "督办任务管理", keepAlive: false },
            path: '/supervise',
            name: 'supervise',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/supervise/superviseTask'], resolve)
        },
        {
            meta: { name:  "待办任务", keepAlive: false },
            path: '/agencyTask',
            name: 'agencyTask',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/supervise/agencyTask'], resolve)
        },
        {
            meta: { name:  "预警规则配置", keepAlive: false },
            path: '/warnRule',
            name: 'warnRule',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnRule'], resolve)
        },
        {
            meta: { name:  "预警工单派发", keepAlive: false },
            path: '/warnWorkorder',
            name: 'warnWorkorder',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnWorkorder'], resolve)
        },
        {
            meta: { name:  "预警工单审核", keepAlive: false },
            path: '/warnWorkexa',
            name: 'warnWorkexa',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnWorkexa'], resolve)
        },
        {
            meta: { name:  "预警工单处理", keepAlive: false },
            path: '/warnWorkhandle',
            name: 'warnWorkhandle',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnWorkhandle'], resolve)
        },
        {
            meta: { name:  "预警统计", keepAlive: false },
            path: '/warnStatis',
            name: 'warnStatis',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnStatis'], resolve)
        },
        {
            meta: { name:  "字典管理", keepAlive: false },
            path: '/dictionaries',
            name: 'dictionaries',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/Dictionaries/index'], resolve)
        },
        {
            meta: { name:  "待办工单查询", keepAlive: false },
            path: '/woQueryDb',
            name: 'woQueryDb',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/wo/woQueryDb.vue'], resolve)
        },
        {
            meta: { name:  "已办工单查询", keepAlive: false },
            path: '/woQueryYb',
            name: 'woQueryYb',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/wo/queryYb.vue'], resolve)
        },
        {
            meta: { name:  "投诉单列表", keepAlive: true },
            path: '/complaintQuery',
            name: 'complaintQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/compvisList.vue'], resolve)
        },
        {
            meta: { name:  "投诉工单告警信息列表", keepAlive: false },
            path: '/complaintWoAlarmInfoQuery',
            name: 'complaintWoAlarmInfoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintWoAlarmInfo.vue'], resolve)
        },
        {
            meta: { name:  "投诉处理工单反馈", keepAlive: false },
            path: '/complaintworkfeedback',
            name: 'complaintworkfeedback',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintFeedback.vue'], resolve)
        },
        {
            meta: { name:  "处理工单历史信息", keepAlive: false },
            path: '/complaintWoQuery',
            name: 'complaintWoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintlog.vue'], resolve)
        }, ,
        {
            meta: { name:  "处理工单详情", keepAlive: false },
            path: '/complaintQueryDetails',
            name: 'complaintQueryDetails',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintQueryDetails.vue'], resolve)
        },
        {
            meta: { name:  "长流程计费信息查询", keepAlive: false },
            path: '/accountInformationQuery',
            name: 'accountInformationQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/accountQuery.vue'], resolve)
        },
        {
            meta: { name:  "工单超时预警服务查询", keepAlive: false },
            path: '/orderOverTimeService',
            name: 'orderOverTimeService',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/orderOverList.vue'], resolve)
        },
        {
            meta: { name:  "超时工单预警查询", keepAlive: false },
            path: '/processWoAlarmInfoQuery',
            name: 'processWoAlarmInfoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/processAlarmInfoQuery.vue'], resolve)
        },
        {
            meta: { name:  "长流程工单查询", keepAlive: true },
            path: '/processWoQuery',
            name: 'processWoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/processList.vue'], resolve)
        },
        {
            meta: { name:  "长流程工单处理历史信息查询", keepAlive: false },
            path: '/processWoQueryHis',
            name: 'processWoQueryHis',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/processQueryHis.vue'], resolve)
        },
        {
            meta: { name:  "长流程关联工单反馈", keepAlive: false },
            path: '/relatedOrderFeedback',
            name: 'relatedOrderFeedback',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/relatedFeedback.vue'], resolve)
        },
        {
            meta: { name:  "客户满意度导入", keepAlive: false },
            path: '/importSat',
            name: 'importSat',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/sati/importList.vue'], resolve)
        }, {
            meta: { name:  "满意度历史", keepAlive: false },
            path: '/importLog',
            name: 'importLog',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/sati/importLog.vue'], resolve)
        },
        {
            meta: { name:  "手机客户满意度信息", keepAlive: false },
            path: '/mobileSat',
            name: 'mobileSat',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/sati/mobileList.vue'], resolve)
        },
        {
            meta:{ keepAlive: false },
            path: '/userInfo',
            name: 'userInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/customer/userInfo.vue'], resolve)
        },
        {
            meta: { name:  "宽带上网信息", keepAlive: false },
            path: '/ydBrodbdNetwork',
            name: 'ydBrodbdNetwork',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydBrodbdNetwork.vue'], resolve)
        },
        {
            meta: { name:  "宽带用户信息", keepAlive: false },
            path: '/ydBrodbdUser',
            name: 'ydBrodbdUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydBrodbdUser.vue'], resolve)
        },
        {
            meta: { name:  "集团客户信息", keepAlive: false },
            path: '/ydGroupUser',
            name: 'ydGroupUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydGroupUser.vue'], resolve)
        },
        {
            meta: { name:  "进厅客户信息", keepAlive: false },
            path: '/ydLobbyUser',
            name: 'ydLobbyUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydLobbyUser.vue'], resolve)
        },
        {
            meta: { name:  "手机移动网络信息", keepAlive: false },
            path: '/ydMobileNetwork',
            name: 'ydMobileNetwork',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydMobileNetwork.vue'], resolve)
        },
        {
            meta: { name:  "手机客户信息详情", keepAlive: false },
            path: '/ydMobileUser',
            name: 'ydMobileUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydMobileUser.vue'], resolve)
        },
        {
            meta: { name:  "手机套餐资费信息", keepAlive: false },
            path: '/ydTariff',
            name: 'ydTariff',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/customer/ydTariff.vue'], resolve)
        },
        {   
            meta:{ keepAlive: false },
            path: '/chatInit',
            name: 'chatInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/chat/chatInit.vue'], resolve)
        },
        {
            meta: { name:  "知识图谱分析", keepAlive: false },
            path: '/quesWordAnalysis',
            name: 'quesWordAnalysis',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/chat/quesWordAnalysis.vue'], resolve)
        },
        {
            meta: { name:  "数据大屏", keepAlive: false },
            path: '/bigScreen',
            name: 'bigScreen',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/bigScreen/index.vue'], resolve)
        },
        {
            meta: { name:  "数据大屏", keepAlive: false },
            path: '/bigScreenenw',
            name: 'bigScreenenw',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/bigScreen/bigScreenenw.vue'], resolve)
        },
        {
            meta: { name:  "用户投诉分析", keepAlive: false },
            path: '/userFx',
            name: 'userFx',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userImage/userFx.vue'], resolve)
        },
        {
            meta: { name:  "用户投诉标签管理", keepAlive: false },
            path: '/labelList',
            name: 'labelList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userImage/labelList.vue'], resolve)
        },
        {
            meta: { name:  "修复策略维护", keepAlive: false },
            path: '/strategyList',
            name: 'strategyList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userImage/strategyList.vue'], resolve)
        },
        {
            meta: { name:  "智能应答", keepAlive: false },
            path: '/intelligent',
            name: 'intelligent',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/outerChain/intelligent.vue'], resolve)
        },
    ]
},
{
    path: '/login',
    name: 'login',
    component: Login
}
]

const router = new VueRouter({
    mode: 'hash',
    base: process.env.BASE_URL,
    routes
})
let menuList = [];
router.beforeEach((to, from, next) => {
    if (to.name == 'login') {
        next()
    } else {
        if (window.sessionStorage.agileauthtoken == undefined) {
            router.push('/login')
            next()
        } else {
            next()
        }
    }
    // let menus = JSON.parse(window.sessionStorage.menus);
    // menuList = [];
    // callmenus(menus);
    // for(let n=0;n<menuList.length;n++){
    //     if (to.name == menuList[n].rountPath && window.sessionStorage.agileauthtoken) {
    //         next(resolve)
    //     }
    // }
});
function callmenus(v) {
    for (let i = 0; i < v.length; i++) {
        if (v[i].rountPath) {
            menuList.push({ name: v[i].name, rountPath: v[i].rountPath });
        }
        if (v[i].children.length > 0) {
            callmenus(v[i].children);
        }
    }
}
const originalReplace = VueRouter.prototype.replace
VueRouter.prototype.replace = function replace(location) {
    return originalReplace.call(this, location).catch(err => err)
}
export default router
